From 4da09c9c878c68624edb37ba1fbc2117185813ef Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 18 Jul 2019 23:41:26 +0200
Subject: [PATCH] freecad: don't build against qt5-webkit-devel on musl target.

workaround for https://github.com/void-linux/void-packages/issues/12595

[ci skip]
---
 srcpkgs/freecad/template | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/freecad/template b/srcpkgs/freecad/template
index ae3a6148a10..1b82f765954 100644
--- a/srcpkgs/freecad/template
+++ b/srcpkgs/freecad/template
@@ -1,7 +1,7 @@
 # Template file for 'freecad'
 pkgname=freecad
 version=0.18.2
-revision=1
+revision=2
 wrksrc="FreeCAD-${version}"
 build_style=cmake
 
@@ -21,6 +21,12 @@ makedepends="python3-devel boost-devel libxerces-c-devel zlib-devel occt-devel
  jsoncpp-devel qt5-devel qt5-svg-devel qt5-tools-devel qt5-webkit-devel
  qt5-x11extras-devel coin3-doc glew-devel"
 
+case "$XBPS_TARGET_MACHINE" in
+	*-musl) # SIGSEGV with musl, see https://github.com/void-linux/void-packages/issues/12595
+		makedepends=${makedepends/qt5-webkit-devel/}
+		;;
+esac
+
 # FreeCAD help: qt5/assistant with datas in SQLite format
 depends="python3-matplotlib python3-pyside2 qt5-plugin-sqlite python3-pivy"
 
